'use strict';

/**
 * 自定义启动文件
 *
 * @author Mai
 * @date 2018/4/18
 * @version
 */

// 基类
const BaseController = require('./app/base/base_controller');
const BaseService = require('./app/base/base_service');
// 常量
const libConst = require('./app/const/lib');
const nodeConst = require('./app/const/template_node');
const paramConst = require('./app/const/template_param');
module.exports = app => {
    // app内定义基类，方便继承
    app.BaseController = BaseController;
    app.BaseService = BaseService;
    // app内定义所有所需常量
    app.libConst = libConst;
    app.nodeConst = nodeConst;
    app.paramConst = paramConst;
}